
Smart Proxy - Refactor #30857

Merge Puppet Proxy Puppet API provider code into the Puppet module

09/16/2020 09:27 AM - Ewoud Kohl van Wijngaarden

Status: Ready For Testing   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/771

  

Description

In #26591 the legacy provider was dropped. Since then, there is only one provider. The provider code was kept since it didn't need

any changes to configuration files. However, having a module with just a single provider is complex. Both from a code perspective

and as an admin.

The implications are that the puppet.yaml and puppet_proxy_puppet_api.yaml files are merged (after being split in #13667). This

means installer and manual updates are needed to reflect this.

Related issues:

Related to Smart Proxy - Feature #26591: Raise minimum Puppet version to 4.4 Closed

Related to Smart Proxy - Feature #13667: puppet_proxy and puppetca modules lo... Closed 02/11/2016

History

#1 - 09/16/2020 09:29 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #26591: Raise minimum Puppet version to 4.4 added

#2 - 09/16/2020 09:30 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #13667: puppet_proxy and puppetca modules load puppet gem in puppet 4.0 and higher environments  added

#3 - 09/16/2020 09:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/771 added

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://projects.theforeman.org/issues/26591
https://projects.theforeman.org/issues/13667
http://www.tcpdf.org

